// ECON 626:  EMPIRICAL MICROECONOMICS (FALL 2019)
// L3. DIFFERENCE-IN-DIFFERENCES
// IN-CLASS ACTIVITY 3. VARIATION IN TREATMENT TIMING
// WRITTEN BY PAM JAKIELA & OWEN OZIER

clear all 
set seed 1234
global dbpath "C:\Users\PJakiela\"
*cd "INSERT FILEPATH HERE"

** load data
import excel "wdidata.xlsx", firstrow

rename CountryName country
rename CountryCode isocode
forvalues i = 1990/2015 {
 rename YR`i' gdp`i'
 destring gdp`i', replace force
}

sort country
gen cid = _n

** impute values 
egen count = rownonmiss(gdp*)
drop if count!=26
drop count

** convert to long format
reshape long gdp, i(isocode) j(year)

gen lngdp = ln(gdp)
sort isocode year
gen ctag = (year==1990)

// SIMULATE REJECTION PROBABILITIES
gen pval = .

